#! /usr/bin/env python3

"""Setup script for tweetdelete."""

from setuptools import setup  # type: ignore

import tweetdelete

with open("README.md", "r") as f:
    LONG_DESCRIPTION = f.read()

setup(name="tweetdelete",
      version=tweetdelete.__version__,
      author=tweetdelete.__author__,
      description=tweetdelete.__doc__,
      license=tweetdelete.__license__,
      long_description=LONG_DESCRIPTION,
      install_requires=["toml >= 0.10.0", "tweepy >= 3.10.0", "xdg >= 5.0.0"],
      scripts=["tweetdelete.py"],
      url="https://schmidl.cc/",
      classifiers=[])
